import 'dart:typed_data';

import 'package:dart_framework/platform/platform_stub.dart'
    if (dart.library.io) 'package:dart_framework/platform/platform_io.dart'
    if (dart.library.html) 'package:dart_framework/platform/platform_web.dart';

abstract class LogWriter {
  factory LogWriter() => getLogWriter();

  void start(
      String path, Map<String, void Function(Object?)> messageListenerMap);
  void write(String log);
  void end();
}

void initializeApp(String name, String appID) => initialize(name, appID);

Future<String> getIPAddressPlatform(String domain) => getIPAddress(domain);

Future<Uint8List?> readFileBytePlatform(String filePath) => readFileBytePlatform(filePath);